Subject: bug#31692: Emacs sometimes drops key events

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Jun 2018 18:52:49 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Michael Heerdegen <[email-masked]>, [email-masked],
>         [email-masked]
> Date: Thu, 07 Jun 2018 11:30:58 -0400
> 
> I don't understand the (throw 'throw-on-input t)
> (throw throw-on-input t) would make more sense, but in any case we're
> just about to exit that `catch` so throwing won't have any real effect.

I hoped the comment explained that, but evidently not.

> I think instead of (throw 'throw-on-input t) what is needed here is
> 
>     (setq quit-flag nil)
> 
> which will also make the body return nil (rather than t like (throw
> throw-on-input t) would), which I believe is also the right thing.

I believe we need to return t here, because input did arrive.  We
could indeed just return t instead of throwing, but that's not the
main issue for which I wanted your opinion.